{"openapi":"3.0.0","info":{"title":"5centsCDN - Livestreams","description":"API for managing Live Streams in <a href=\"https://www.5centscdn.net\" target=\"_blank\">5centsCDN</a>","version":"2.0.0","contact":{"email":"help@5centscdn.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"servers":[{"url":"https://api.5centscdn.com/v2","description":"5centsCDN API Server - Production"}],"security":[{"ApiKeyAuth":[]}],"tags":[{"name":"List Streams","description":"list all streams"},{"name":"Push Streams","description":"endpoints related to Push streams"},{"name":"Pull Streams","description":"endpoints related to Pull streams"},{"name":"Multi Bitrate Push Streams","description":"endpoints related to MBR streams"},{"name":"DVR Streams","description":"endpoints related to DVR streams"},{"name":"Delayed Streams","description":"endpoints related to Delayed streams"},{"name":"Scheduled Playlist Streams","description":"endpoints related to Scheduled Playlist streams & Playlist"},{"name":"Multistream Streams","description":"endpoints related to Multistream Streams"},{"name":"Reports - Standard","description":"Reports for Standard Network"},{"name":"Reports - Volume/Premium","description":"Reports for Volume/Premium Network"},{"name":"Reports - Enterprise","description":"Reports for Enterprise Network"},{"name":"Reports - Recording Minutes","description":"Reports for Recording Minutes"},{"name":"Global Settings","description":"Global Stream Settings"}],"paths":{"/streams":{"get":{"tags":["List Streams"],"summary":"List streams","description":"list streams\n","operationId":"streamsList","responses":{"200":{"description":"streams list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}}}}},"/streams/push":{"get":{"tags":["Push Streams"],"summary":"Stream","description":"push list","operationId":"streamsPushList","parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_1"}}}}},"deprecated":false}},"/streams/push/new":{"post":{"tags":["Push Streams"],"summary":"Create Push","description":"Create a Push stream","operationId":"createPushStreams","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePushStream"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}":{"get":{"tags":["Push Streams"],"summary":"Stream","description":"Returns the details of a push stream","operationId":"getStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_3"}}}}},"deprecated":false},"post":{"tags":["Push Streams"],"summary":"Update Info","description":"Update the information of push stream","operationId":"updateStreamspush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePushStream"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false},"delete":{"tags":["Push Streams"],"summary":"Delete Info","description":"Delete the information of push stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteStreamspush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/push/{streamid}/statistics":{"get":{"tags":["Push Streams"],"summary":"Stream statistics","description":"Returns the details of a push stream statistics","operationId":"getStreamsPushStatistics","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"fs":{"$ref":"#/components/schemas/fsResult"},"status":{"type":"string"}}}}}}}}}},"/streams/push/{streamid}/status":{"post":{"tags":["Push Streams"],"summary":"Update status of stream","description":"Update status of stream","operationId":"statusStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/source":{"post":{"tags":["Push Streams"],"summary":"Update Source","description":"Update the source of a Push stream","operationId":"updatesourceStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PushStreamSource"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/transcode":{"post":{"tags":["Push Streams"],"summary":"Update transcode","description":"Update the transcode of a push stream","operationId":"updatetranscodeStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Posttranscode"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/domainlock":{"post":{"tags":["Push Streams"],"summary":"Update Domain Lock","description":"Update the domainlock of a publish stream","operationId":"updatedomainlockStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostDomainLock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/geoblock":{"post":{"tags":["Push Streams"],"summary":"Update Geo Block","description":"Update the geoblock of a push stream","operationId":"updategeoblockStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostGeoBlock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/securetoken":{"post":{"tags":["Push Streams"],"summary":"Update Secure Token","description":"Update secure token of a push stream","operationId":"updateSecureTokenStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSecureToken"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/rtmpauth":{"post":{"tags":["Push Streams"],"summary":"Update RTMPAuth","description":"Update RTMPAuth of push stream","operationId":"updateRtmpauthStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRtmpauth"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/ndvr":{"post":{"tags":["Push Streams"],"summary":"Update NDVR","operationId":"updateNdvrStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostNdvr"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/servers":{"get":{"tags":["Push Streams"],"summary":"Servers","description":"Return the list of servers of push stream","operationId":"getServersStreamsPush","responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_5"}}}}},"deprecated":false}},"/streams/push/{streamid}/restore":{"get":{"tags":["Push Streams"],"summary":"Restore","description":"Restore a push stream","operationId":"restoreStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/push/{streamid}/restart":{"get":{"tags":["Push Streams"],"summary":"Restart","description":"Restart a push stream","operationId":"restartStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/push/{streamid}/record":{"post":{"tags":["Push Streams"],"summary":"Update DVR","operationId":"updateDvrStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRecord"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/platforms":{"post":{"tags":["Push Streams"],"summary":"Add platform","description":"Add the platform of a push stream","operationId":"addplatformStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false}},"/streams/push/{streamid}/platform/{platformid}":{"post":{"tags":["Push Streams"],"summary":"Update platform","description":"Update the platform of a push stream","operationId":"updateplatformStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"deprecated":false},"delete":{"tags":["Push Streams"],"summary":"Delete Info","description":"Delete the Platform of push stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deletePlatformStreamspush","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/push/{streamid}/platform/{platformid}/restart":{"get":{"tags":["Push Streams"],"summary":"Update platform","description":"Restart the platform of a push stream","operationId":"restartplatformStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/push/{streamid}/platform/{platformid}/status":{"post":{"tags":["Push Streams"],"summary":"Update platform","description":"Status the platform of a push stream","operationId":"platformstatusStreamsPush","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/restream":{"get":{"tags":["Pull Streams"],"summary":"Stream","description":"pull streams list","operationId":"ListPullStreams","parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_6"}}}}},"deprecated":false}},"/streams/restream/new":{"post":{"tags":["Pull Streams"],"summary":"Create Restream","description":"Create a restream","operationId":"createStreamsPull","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRestream"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/restream/{streamid}":{"get":{"tags":["Pull Streams"],"summary":"Stream","description":"Return the details of a restream","operationId":"getDetailsStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_8"}}}}},"deprecated":false},"post":{"tags":["Pull Streams"],"summary":"Update Info","description":"Update information of a restream","operationId":"updatesStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostStreamsPull"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false},"delete":{"tags":["Pull Streams"],"summary":"Delete Info","description":"Delete information of a restream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/restream/{streamid}/statistics":{"get":{"tags":["Pull Streams"],"summary":"Stream statistics","description":"Returns the details of a pull stream statistics","operationId":"getStreamsPullStatistics","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"fs":{"$ref":"#/components/schemas/fsResult"},"status":{"type":"string"}}}}}}}}}},"/streams/restream/{streamid}/source":{"post":{"tags":["Pull Streams"],"summary":"Update Source","operationId":"updateSourceStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostPullSource"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_8"}}}}},"deprecated":false}},"/streams/restream/{streamid}/domainlock":{"post":{"tags":["Pull Streams"],"summary":"Update Domain Lock","description":"Update domain lock of a restream","operationId":"updateDomainlockStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostDomainLock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/restream/{streamid}/securetoken":{"post":{"tags":["Pull Streams"],"summary":"Update SecureToken","description":"Update secure token of a restream","operationId":"updateSecuretokenStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSecureToken"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/restream/{streamid}/geoblock":{"post":{"tags":["Pull Streams"],"summary":"Update Geo Block","operationId":"updateGeoblockStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostGeoBlock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/restream/{streamid}/record":{"post":{"tags":["Pull Streams"],"summary":"Update DVR","description":"Update DVR of a restream","operationId":"updateDvrStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRecord"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/restream/servers":{"get":{"tags":["Pull Streams"],"summary":"Servers","description":"Return the list of servers of pull stream","operationId":"serversStreamsPull","responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_9"}}}}},"deprecated":false}},"/streams/restream/{streamid}/restart":{"get":{"tags":["Pull Streams"],"summary":"Restart","description":"Restart a restream","operationId":"restartStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/restream/{streamid}/restore":{"get":{"tags":["Pull Streams"],"summary":"Restore","description":"Restore a restream","operationId":"restoreStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/restream/{streamid}/transcode":{"post":{"tags":["Pull Streams"],"summary":"Update transcode","description":"Update the transcode of a pull stream","operationId":"updatetranscodeStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Posttranscode"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/restream/{streamid}/ndvr":{"post":{"tags":["Pull Streams"],"summary":"Update NDVR","operationId":"updateNdvrStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostNdvr"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/restream/{streamid}/platforms":{"post":{"tags":["Pull Streams"],"summary":"Add platform","description":"Add the platform of a pull stream","operationId":"addplatformStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/restream/{streamid}/platform/{platformid}":{"post":{"tags":["Pull Streams"],"summary":"Update platform","description":"Update the platform of a pull stream","operationId":"updateplatformStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false},"delete":{"tags":["Pull Streams"],"summary":"Delete Info","description":"Delete the Platform of pull stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deletePlatformStreamspull","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/restream/{streamid}/platform/{platformid}/restart":{"get":{"tags":["Pull Streams"],"summary":"Update platform","description":"Restart the platform of a pull stream","operationId":"restartplatformStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/restream/{streamid}/platform/{platformid}/status":{"post":{"tags":["Pull Streams"],"summary":"Update platform","description":"Status the platform of a pull stream","operationId":"platformstatusStreamsPull","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/abr":{"get":{"tags":["Multi Bitrate Push Streams"],"summary":"ABR","description":"List Multi Bitrate Push streams","operationId":"multiBitratePushlist","parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_10"}}}}},"deprecated":false}},"/streams/abr/new":{"post":{"tags":["Multi Bitrate Push Streams"],"summary":"Create ABR","description":"Create a new ABR stream","operationId":"multiBitratePushCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostMultiBitratePush"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}}},"deprecated":false}},"/streams/abr/{streamid}":{"get":{"tags":["Multi Bitrate Push Streams"],"summary":"Stream","description":"Returns the details of an abr stream","operationId":"getDetailsMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_12"}}}}},"deprecated":false},"post":{"tags":["Multi Bitrate Push Streams"],"summary":"Update Info","description":"Update information of ABR stream.","operationId":"updateMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postabr"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}}},"deprecated":false},"delete":{"tags":["Multi Bitrate Push Streams"],"summary":"Delete Info","description":"Delete information of ABR stream.To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/abr/{streamid}/status":{"post":{"tags":["Multi Bitrate Push Streams"],"summary":"Update status of stream","description":"Update status of stream","operationId":"statusStreamsabr","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false}},"/streams/abr/{streamid}/domainlock":{"post":{"tags":["Multi Bitrate Push Streams"],"summary":"Update Domain Lock","operationId":"updateDomainlockMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostDomainLock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}}},"deprecated":false}},"/streams/abr/{streamid}/geoblock":{"post":{"tags":["Multi Bitrate Push Streams"],"summary":"Update Geo Block","description":"Update Geoblock of ABR","operationId":"updateGeoblockMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostGeoBlock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}}},"deprecated":false}},"/streams/abr/{streamid}/rtmpauth":{"post":{"tags":["Multi Bitrate Push Streams"],"summary":"Update RTMP Auth","description":"Update RTMP auth of ABR","operationId":"updateRtmpauthMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRtmpauth"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}}},"deprecated":false}},"/streams/abr/{streamid}/record":{"post":{"tags":["Multi Bitrate Push Streams"],"summary":"Update Record","description":"Update Record ABR","operationId":"updateRecordMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRecord"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}}},"deprecated":false}},"/streams/abr/{streamid}/ndvr":{"post":{"tags":["Multi Bitrate Push Streams"],"summary":"Update Ndvr","description":"Update Ndvr ABR","operationId":"updateNdvrMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostNdvr"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}}},"deprecated":false}},"/streams/abr/{streamid}/restart":{"get":{"tags":["Multi Bitrate Push Streams"],"summary":"Restart","description":"Restart ABR","operationId":"restartMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/abr/{streamid}/restore":{"get":{"tags":["Multi Bitrate Push Streams"],"summary":"Restore","description":"Restore ABR Stream","operationId":"restoreMultiBitratePush","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/record":{"get":{"tags":["DVR Streams"],"summary":"DvrStream","description":"List DVR streams","operationId":"dvrStreamlist","parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_13"}}}}},"deprecated":false}},"/streams/record/{streamid}":{"get":{"tags":["DVR Streams"],"summary":"DvrStream","description":"Return the details of a DVR stream.","operationId":"getDetailsDvrStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_14"}}}}},"deprecated":false},"post":{"tags":["DVR Streams"],"summary":"DvrStream","description":"Update information of a record stream.","operationId":"updateInfoDvrStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRecordServers"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_15"}}}}},"deprecated":false},"delete":{"tags":["DVR Streams"],"summary":"DvrStream","description":"Delete information of a record stream.","operationId":"deleteInfoDvrStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/record/{streamid}/statistics/dvr":{"get":{"tags":["DVR Streams"],"summary":"Dvr Stream statistics","description":"Return the details of a DVR stream statistics.","operationId":"getDetailsDvrStreamStatusStatistics","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}}}},"/streams/record/{streamid}/status":{"post":{"tags":["DVR Streams"],"summary":"Update status of stream","description":"Update status of stream","operationId":"statusStreamsdvr","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_15"}}}}},"deprecated":false}},"/streams/record/{streamid}/domainlock":{"post":{"tags":["DVR Streams"],"summary":"Update Domain Lock","description":"Update Domainlock of a record stream","operationId":"updateDomainlockDvrStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostDomainLock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_15"}}}}},"deprecated":false}},"/streams/record/{streamid}/securetoken":{"post":{"tags":["DVR Streams"],"summary":"Update Secure Token","description":"Update Secure token of record stream.","operationId":"updateSecureTokenStreamsRecord","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSecureToken"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_15"}}}}},"deprecated":false}},"/streams/record/{streamid}/geoblock":{"post":{"tags":["DVR Streams"],"summary":"Update Geo Block","description":"Update geo block of record stream","operationId":"updateGeoblockStreamsRecord","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostGeoBlock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_15"}}}}},"deprecated":false}},"/streams/record/{streamid}/export":{"post":{"tags":["DVR Streams"],"summary":"Update DVR  Export","description":"Update DVR  Export of record stream","operationId":"updateDVRExportStreamsRecord","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostExport"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/resultExport"}}}}},"deprecated":false}},"/streams/record/{streamid}/autoexport":{"post":{"tags":["DVR Streams"],"summary":"Update DVR Auto Export","description":"Update DVR Auto Export of record stream","operationId":"updateDVRAutoExportStreamsRecord","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostAutoExport"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_15"}}}}},"deprecated":false}},"/streams/record/{streamid}/restore":{"get":{"tags":["DVR Streams"],"summary":"Restore","description":"Restore record stream","operationId":"restore-8","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/record/{streamid}/restart":{"get":{"tags":["DVR Streams"],"summary":"Restart","description":"Restart record stream","operationId":"restartDvrStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/timeshift/new":{"post":{"tags":["Delayed Streams"],"summary":"insert Info","description":"insert informations of a delayed stream","operationId":"insertDelayedStream","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Posttimeshift"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_16"}}}}},"deprecated":false}},"/streams/timeshift":{"get":{"tags":["Delayed Streams"],"summary":"Delayedstreams","description":"List Delayed  streams","operationId":"DelayedstreamsList","parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_17"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}":{"get":{"tags":["Delayed Streams"],"summary":"Stream","description":"Return Delayed streams","operationId":"getDetailsDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_16"}}}}},"deprecated":false},"post":{"tags":["Delayed Streams"],"summary":"Update Info","description":"Update informations of a delayed stream","operationId":"updateDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Puttimeshift"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_16"}}}}},"deprecated":false},"delete":{"tags":["Delayed Streams"],"summary":"Delete Info","description":"Delete informations of a delayed stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/statistics":{"get":{"tags":["Delayed Streams"],"summary":"Stream statistics","description":"Return Delayed streams statistics","operationId":"getDetailsDelayedStreamStatistics","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"fs":{"$ref":"#/components/schemas/fsResult"},"status":{"type":"string"}}}}}}}}}},"/streams/timeshift/{streamid}/status":{"post":{"tags":["Delayed Streams"],"summary":"Update status of stream","description":"Update status of stream","operationId":"statusStreamstimeshift","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_16"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/securetoken":{"post":{"tags":["Delayed Streams"],"summary":"Update Secure Token","description":"Update secure token of a delayed stream","operationId":"updateSecureDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSecureToken"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_16"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/geoblock":{"post":{"tags":["Delayed Streams"],"summary":"Update Geo Block","description":"Update Geo block of a delayed stream","operationId":"updateGeoblockDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostGeoBlock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_16"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/domainlock":{"post":{"tags":["Delayed Streams"],"summary":"Update Domain Lock","description":"Update domainlock of a delayed stream.","operationId":"updateDomainlockDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostDomainLock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_16"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/restart":{"get":{"tags":["Delayed Streams"],"summary":"Restart","description":"Restart Delayed stream","operationId":"restartDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/restore":{"get":{"tags":["Delayed Streams"],"summary":"Restore","description":"Restore Delayed stream","operationId":"restoreDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/platforms":{"post":{"tags":["Delayed Streams"],"summary":"Add platform","description":"Add the platform of a delayed stream","operationId":"addplatformStreamsDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/platform/{platformid}":{"post":{"tags":["Delayed Streams"],"summary":"Update platform","description":"Update the platform of a delayed stream","operationId":"updateplatformDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false},"delete":{"tags":["Delayed Streams"],"summary":"Delete Info","description":"Delete the Platform of delayed stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deletePlatformDelayedStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/platform/{platformid}/restart":{"post":{"tags":["Delayed Streams"],"summary":"Update platform","description":"Restart the platform of a delayed stream","operationId":"restartplatformtimeshift","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/timeshift/{streamid}/platform/{platformid}/status":{"post":{"tags":["Delayed Streams"],"summary":"Update platform","description":"Status the platform of a delayed stream","operationId":"platformstatustimeshift","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/timeshift/parents":{"get":{"tags":["Delayed Streams"],"summary":"Source Streams","description":"Return the parents of a Delayed stream","operationId":"getParentsDelayedStream","responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_19"}}}}},"deprecated":false}},"/streams/scheduledplaylist":{"get":{"tags":["Scheduled Playlist Streams"],"summary":"Stream","description":"scheduledplaylist.","operationId":"scheduledPlayList","parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_20"}}}}},"deprecated":false}},"/streams/scheduledplaylist/new":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Create Scheduled Playlist","description":"Create new scheduled playlist","operationId":"createScheduledPlaylist","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postscheduledplaylist"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}":{"get":{"tags":["Scheduled Playlist Streams"],"summary":"Stream","description":"Return details of the stream.","operationId":"getDetailsScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_30"}}}}},"deprecated":false},"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update Info","description":"Update information of scheduled playlist","operationId":"updateInfoScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Putscheduledplaylist"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false},"delete":{"tags":["Scheduled Playlist Streams"],"summary":"Delete Info","description":"Delete information of scheduled playlist.To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteInfoScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/statistics":{"get":{"tags":["Scheduled Playlist Streams"],"summary":"Stream","description":"Return details of the stream statistics","operationId":"getDetailsScheduledStreamStatistics","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"fs":{"$ref":"#/components/schemas/fsResult"},"status":{"type":"string"}}}}}}}}}},"/streams/scheduledplaylist/{streamid}/statistics/playlist":{"get":{"tags":["Scheduled Playlist Streams"],"summary":"Stream playlist statistics","description":"Return details of the stream playlist statistics","operationId":"getDetailsScheduledPlaylistStatistics","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"current_entry":{"type":"string"}}}}}}}}}},"/streams/scheduledplaylist/{streamid}/securetoken":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update Secure Token","description":"Update secure token of a scheduled playlist.","operationId":"updateSecureTokenScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSecureToken"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/rtmpauth":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update RTMPAuth","description":"Update RTMP auth of a scheduled playlist.","operationId":"updateRtmpauthScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRtmpauth"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/geoblock":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update Geo Block","description":"Update geoblock of scheduled playlist","operationId":"updateGeoblockScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostGeoBlock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/domainlock":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update Domain Lock","description":"Update domain lock of scheduled playlist.","operationId":"updateDomainlockScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostDomainLock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/transcode":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update transcode","description":"Update the transcode of a scheduled stream","operationId":"updatetranscodeScheduledStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Posttranscode"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/restore":{"get":{"tags":["Scheduled Playlist Streams"],"summary":"Restore","description":"Restore a scheduled playlist","operationId":"restoreScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/restart":{"get":{"tags":["Scheduled Playlist Streams"],"summary":"Restart","description":"Restart scheduled playlist","operationId":"restartScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/playlists/events":{"get":{"tags":["Scheduled Playlist Streams"],"summary":"Stream playlist","description":"Return details of the stream playlist","operationId":"getDetailsPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/eventResult"}}}}}}}},"/streams/scheduledplaylist/{streamid}/playlist/new":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Create Playlist","description":"Create new playlist","operationId":"createPlaylistScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postplaylist"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_31"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/playlist/{playlistid}":{"get":{"tags":["Scheduled Playlist Streams"],"summary":"Get Playlist","description":"Get the playlist","operationId":"getPlaylistScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/playlistidParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false},"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update Playlist","description":"Update the playlist","operationId":"updatePlaylistScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/playlistidParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postplaylist"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false},"delete":{"tags":["Scheduled Playlist Streams"],"summary":"Delete playlist","description":"Delete the playlist of Scheduled stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deletePlaylistScheduled","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/playlistidParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/playlist/{playlistid}/clone":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Create Playlist clone","description":"Create the playlist","operationId":"createPlaylistCloneScheduledPlaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/playlistidParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPlaylistClone"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"playlistid":{"type":"integer"}}}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/platforms":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Add platform","description":"Add the platform of a Scheduled stream","operationId":"addplatformStreamsscheduledplaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/platform/{platformid}":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update platform","description":"Update the platform of a Scheduled stream","operationId":"updateplatformRestream","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}}},"deprecated":false},"delete":{"tags":["Scheduled Playlist Streams"],"summary":"Delete Info","description":"Delete the Platform of Scheduled stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deletePlatformRestream","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/platform/{platformid}/restart":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update platform","description":"Restart the platform of a Scheduled stream","operationId":"restartplatformRestream","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/scheduledplaylist/{streamid}/platform/{platformid}/status":{"post":{"tags":["Scheduled Playlist Streams"],"summary":"Update platform","description":"Status the platform of a Scheduled stream","operationId":"platformstatusRestream","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/publish":{"get":{"tags":["Multistream Streams"],"summary":"Restream List.","description":"Restream list","operationId":"RestreamList","parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_32"}}}}},"deprecated":false}},"/streams/publish/new":{"post":{"tags":["Multistream Streams"],"summary":"Create Restream","description":"Create new Restream","operationId":"create-Restream","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postpublish"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_33"}}}}},"deprecated":false}},"/streams/publish/{streamid}":{"get":{"tags":["Multistream Streams"],"summary":"Return the details of restream.","description":"Return the details of restream.","operationId":"get-details-of-a-stream-restream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_34"}}}}},"deprecated":false},"post":{"tags":["Multistream Streams"],"summary":"Update Info of Restream","description":"Update information of Restream","operationId":"update-info-Restream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRestream"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_33"}}}}},"deprecated":false},"delete":{"tags":["Multistream Streams"],"summary":"Delete Info","description":"Delete information of a restream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteRestream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/publish/{streamid}/statistics":{"get":{"tags":["Multistream Streams"],"summary":"Return the details of restream statistics","description":"Return the details of restream statistics","operationId":"getDetailsOfStreamRestreamStatistics","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"fs":{"$ref":"#/components/schemas/fsResult"},"status":{"type":"string"}}}}}}}}}},"/streams/publish/{streamid}/status":{"post":{"tags":["Multistream Streams"],"summary":"Update status of stream","description":"Update status of stream","operationId":"statusRestream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_33"}}}}},"deprecated":false}},"/streams/publish/{streamid}/rtmpauth":{"post":{"tags":["Multistream Streams"],"summary":"Update RTMP Auth Restream","description":"Update RTMP auth of Restream","operationId":"update-rtmpauth-Restream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostRtmpauth"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_33"}}}}},"deprecated":false}},"/streams/publish/{streamid}/restore":{"get":{"tags":["Multistream Streams"],"summary":"Restore","description":"Restore  publish stream","operationId":"restorePublishStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/publish/{streamid}/restart":{"get":{"tags":["Multistream Streams"],"summary":"Restart","description":"Restart publish stream.","operationId":"restartPublishStream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/publish/{streamid}/transcode":{"post":{"tags":["Multistream Streams"],"summary":"Update transcode","description":"Update the transcode of a publish stream","operationId":"updatetranscodeRestream","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Posttranscode"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_33"}}}}},"deprecated":false}},"/streams/publish/{streamid}/platforms":{"post":{"tags":["Multistream Streams"],"summary":"Add platform","description":"Add the platform of a publish stream","operationId":"addplatformStreamspublish","parameters":[{"$ref":"#/components/parameters/streamIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_33"}}}}},"deprecated":false}},"/streams/publish/{streamid}/platform/{platformid}":{"post":{"tags":["Multistream Streams"],"summary":"Update platform","description":"Update the platform of a publish stream","operationId":"updateplatformscheduledplaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditStreamPlatform"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}},"deprecated":false},"delete":{"tags":["Multistream Streams"],"summary":"Delete Info","description":"Delete the Platform of publish stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deletePlatformscheduledplaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/publish/{streamid}/platform/{platformid}/restart":{"post":{"tags":["Multistream Streams"],"summary":"Update platform","description":"Restart the platform of a publish stream","operationId":"restartplatformscheduledplaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/publish/{streamid}/platform/{platformid}/status":{"post":{"tags":["Multistream Streams"],"summary":"Update platform","description":"Status the platform of a publish stream","operationId":"platformstatusscheduledplaylist","parameters":[{"$ref":"#/components/parameters/streamIdParam"},{"$ref":"#/components/parameters/platformIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Postdisabled"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/reports/standard/stats":{"post":{"tags":["Reports - Standard"],"summary":"streamreport","description":"Summary report.","operationId":"summaryReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSummaryReport"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_21"}}}}},"deprecated":false}},"/streams/reports/standard/cache":{"post":{"tags":["Reports - Standard"],"summary":"streamreport","description":"Cache Statistics report.","operationId":"CacheStatisticsReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCacheReport"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_22"}}}}},"deprecated":false}},"/streams/reports/standard/topfiles":{"post":{"tags":["Reports - Standard"],"summary":"Top Files report","description":"Top Files report.","operationId":"TopFilesReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PosttopfilesReport"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_23"}}}}},"deprecated":false}},"/streams/reports/standard/topreferrers":{"post":{"tags":["Reports - Standard"],"summary":"Top Referrers report","description":"Top Referrers report.","operationId":"TopReferrersReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostTopReferrersReport"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_24"}}}}},"deprecated":false}},"/streams/reports/standard/statuscodes":{"post":{"tags":["Reports - Standard"],"summary":"Status Codes report","description":"Status Codes report.","operationId":"StatusCodesReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_25"}}}}},"deprecated":false}},"/streams/reports/standard/countries":{"post":{"tags":["Reports - Standard"],"summary":"By Country report","description":"By Country report.","operationId":"ByCountryReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_26"}}}}},"deprecated":false}},"/streams/reports/standard/browsers":{"post":{"tags":["Reports - Standard"],"summary":"By Browser report","description":"By Browser report.","operationId":"ByBrowserReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_27"}}}}},"deprecated":false}},"/streams/reports/standard/os":{"post":{"tags":["Reports - Standard"],"summary":"By OS report","description":"By OS report.","operationId":"ByOsReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_28"}}}}},"deprecated":false}},"/streams/reports/standard/visitors":{"post":{"tags":["Reports - Standard"],"summary":"Visitors report","description":"Visitors report.","operationId":"VisitorsReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_29"}}}}},"deprecated":false}},"/streams/reports/premium/stats":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Statistics","parameters":[{"name":"r","in":"query","schema":{"type":"string"},"description":"Month/Granularity, Granularity can be daily/hourly","example":"2022-05-15 00:00:00/daily"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"requests":{"total":[{"date":"2022-05-01","value":53332},{"date":"2022-05-02","value":126709},{"date":"2022-05-03","value":1029}]},"summary":{"requests":{"total":941480},"caching":{"hits":558613,"misses":150823},"bandwidth":{"delivered":464503279802}},"caching":{"hits":[{"date":"2022-05-01","value":32290},{"date":"2022-05-02","value":77633},{"date":"2022-05-03","value":323}],"misses":[{"date":"2022-05-01","value":8862},{"date":"2022-05-02","value":19329},{"date":"2022-05-03","value":162}]},"bandwidth":{"delivered":[{"date":"2022-05-01","value":23128079844},{"date":"2022-05-02","value":63381149731},{"date":"2022-05-03","value":182487735}]}}}}}}}}},"/streams/reports/premium/cache":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Cache","parameters":[{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/0/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/0/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"cache_statistics":{"cache_statistic_line_chart":{"0":{"date":"2022-05-04","region":"Asia","ratio":"55.91%","hit":63284,"miss":16409,"total":113193,"others":33500,"bytes":32406624468},"1":{"date":"2022-05-05","region":"Asia","ratio":"60.72%","hit":71092,"miss":17546,"total":117085,"others":28447,"bytes":37182199418},"2":{"date":"2022-05-04","region":"Europe","ratio":"0%","hit":0,"miss":0,"total":0,"others":0,"bytes":18566154014},"3":{"date":"2022-05-05","region":"Europe","ratio":"27.59%","hit":8,"miss":13,"total":29,"others":8,"bytes":19793058339}},"cache_statistic_table":[{"hit":134376,"miss":33955,"others":61947,"total":230278,"bytes":69588823886,"region":"Asia","ratio":85.25},{"hit":8,"miss":13,"others":8,"total":29,"bytes":38359212353,"region":"Europe","ratio":55.17}]}},"edgegroups":{"africa":"Africa","asia":"Asia","au":"Australia","cis":"CIS","eu":"Europe","latam":"Latin America","me":"Middle East","na":"North America","ru":"Russia","sa":"South Africa"}}}}}}}},"/streams/reports/premium/topfiles":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Top Files","parameters":[{"name":"r","in":"query","schema":{"type":"string"},"description":"from/to/type, type -> dynamic","example":"/2022-05-04/2022-05-05/dynamic"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"top_files":{"top_fifty_files_table":[{"visitors":81,"requests":84630,"bytes":21934215724,"url":"/live/stream1/"},{"visitors":37,"requests":14320,"bytes":7052269941,"url":"/live/stream2/"}]}}}}}}}}},"/streams/reports/premium/statuscodes":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Status Codes","parameters":[{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"status_codes":{"status_code_line_chart":[{"date":"2022-05-04","request":112273,"code":"responses_2xx"},{"date":"2022-05-05","request":116232,"code":"responses_2xx"},{"date":"2022-05-04","request":0,"code":"responses_3xx"},{"date":"2022-05-05","request":0,"code":"responses_3xx"},{"date":"2022-05-04","request":920,"code":"responses_4xx"},{"date":"2022-05-05","request":882,"code":"responses_4xx"},{"date":"2022-05-04","request":0,"code":"responses_5xx"},{"date":"2022-05-05","request":0,"code":"responses_5xx"}],"status_code_table":[{"code":"responses_2xx","request":228505},{"code":"responses_3xx","request":0},{"code":"responses_4xx","request":1802},{"code":"responses_5xx","request":0}]}}}}}}}}},"/streams/reports/premium/countries":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Country","parameters":[{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"countries":{"country_table":[{"visitors":245,"requests":229685,"bytes":69379380648,"country":"IN India"},{"visitors":1,"requests":29,"bytes":7860223,"country":"SA Saudi Arabia"}],"country_line_chart":[{"visitors":138,"requests":112994,"bytes":32385578696,"date":"2022-05-04","country":"IN India"},{"visitors":122,"requests":116691,"bytes":36993801952,"date":"2022-05-05","country":"IN India"},{"visitors":1,"requests":29,"bytes":7860223,"date":"2022-05-05","country":"SA Saudi Arabia"}]}}}}}}}}},"/streams/reports/premium/browsers":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Browsers","parameters":[{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"browsers":{"browser_table":[{"visitors":213,"requests":214486,"bytes":64268377830,"browser":"Chrome"},{"visitors":16,"requests":9195,"bytes":3330847111,"browser":"Safari"},{"visitors":8,"requests":2054,"bytes":903249408,"browser":"IE"},{"visitors":2,"requests":3924,"bytes":864915608,"browser":"Firefox"},{"visitors":3,"requests":42,"bytes":19841047,"browser":"Unknown"},{"visitors":2,"requests":11,"bytes":8349,"browser":"Opera"},{"visitors":2,"requests":2,"bytes":1518,"browser":"Samsung"}],"browser_line_chart":[{"visitors":124,"requests":109313,"bytes":31381745032,"date":"2022-05-04","browser":"Chrome"},{"visitors":6,"requests":2768,"bytes":693946688,"date":"2022-05-04","browser":"Safari"},{"visitors":4,"requests":850,"bytes":281257186,"date":"2022-05-04","browser":"IE"},{"visitors":2,"requests":39,"bytes":18424291,"date":"2022-05-04","browser":"Unknown"},{"visitors":1,"requests":20,"bytes":10202463,"date":"2022-05-04","browser":"Firefox"},{"visitors":1,"requests":4,"bytes":3036,"date":"2022-05-04","browser":"Opera"},{"visitors":101,"requests":105173,"bytes":32886632798,"date":"2022-05-05","browser":"Chrome"},{"visitors":10,"requests":6427,"bytes":2636900423,"date":"2022-05-05","browser":"Safari"},{"visitors":2,"requests":3904,"bytes":854713145,"date":"2022-05-05","browser":"Firefox"},{"visitors":6,"requests":1204,"bytes":621992222,"date":"2022-05-05","browser":"IE"},{"visitors":1,"requests":3,"bytes":1416756,"date":"2022-05-05","browser":"Unknown"},{"visitors":1,"requests":7,"bytes":5313,"date":"2022-05-05","browser":"Opera"},{"visitors":2,"requests":2,"bytes":1518,"date":"2022-05-05","browser":"Samsung"}]}}}}}}}}},"/streams/reports/premium/os":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By OS","parameters":[{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"os":{"os_table":[{"visitors":112,"requests":123945,"bytes":34166160551,"os":"Windows"},{"visitors":89,"requests":62856,"bytes":21031326081,"os":"Android"},{"visitors":17,"requests":22333,"bytes":6543538494,"os":"MacOSX"},{"visitors":7,"requests":14370,"bytes":5052390574,"os":"Linux"},{"visitors":20,"requests":6205,"bytes":2593806355,"os":"iOS"},{"visitors":1,"requests":5,"bytes":18816,"os":"Unknown"}],"os_line_chart":[{"visitors":57,"requests":57426,"bytes":15943263705,"date":"2022-05-04","os":"Windows"},{"visitors":53,"requests":31715,"bytes":9237156094,"date":"2022-05-04","os":"Android"},{"visitors":13,"requests":14483,"bytes":4030945302,"date":"2022-05-04","os":"MacOSX"},{"visitors":4,"requests":7423,"bytes":2461905553,"date":"2022-05-04","os":"Linux"},{"visitors":10,"requests":1942,"bytes":712289226,"date":"2022-05-04","os":"iOS"},{"visitors":1,"requests":5,"bytes":18816,"date":"2022-05-04","os":"Unknown"},{"visitors":64,"requests":66519,"bytes":18222896846,"date":"2022-05-05","os":"Windows"},{"visitors":42,"requests":31141,"bytes":11794169987,"date":"2022-05-05","os":"Android"},{"visitors":3,"requests":6947,"bytes":2590485021,"date":"2022-05-05","os":"Linux"},{"visitors":4,"requests":7850,"bytes":2512593192,"date":"2022-05-05","os":"MacOSX"},{"visitors":10,"requests":4263,"bytes":1881517129,"date":"2022-05-05","os":"iOS"}]}}}}}}}}},"/streams/reports/premium/devices":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Device","parameters":[{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"device":{"device_table":[{"visitors":136,"requests":160648,"bytes":45762089619,"device":"Computer"},{"visitors":109,"requests":69061,"bytes":23625132436,"device":"Phone"},{"visitors":1,"requests":5,"bytes":18816,"device":"Tablet"}],"device_line_chart":[{"visitors":74,"requests":79332,"bytes":22436114560,"date":"2022-05-04","device":"Computer"},{"visitors":63,"requests":33657,"bytes":9949445320,"date":"2022-05-04","device":"Phone"},{"visitors":1,"requests":5,"bytes":18816,"date":"2022-05-04","device":"Tablet"},{"visitors":71,"requests":81316,"bytes":23325975059,"date":"2022-05-05","device":"Computer"},{"visitors":52,"requests":35404,"bytes":13675687116,"date":"2022-05-05","device":"Phone"}]}}}}}}}}},"/streams/reports/premium/logs":{"get":{"tags":["Reports - Volume/Premium"],"summary":"CDN Logs","parameters":[{"name":"from","in":"query","schema":{"type":"string"},"example":"2022-05-06T06:00:00Z"},{"name":"to","in":"query","schema":{"type":"string"},"example":"2022-05-06T07:00:00Z"},{"name":"limit","in":"query","schema":{"type":"integer"},"description":"max: 1000","example":"100"},{"name":"offset","in":"query","schema":{"type":"integer"},"example":"0"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"examples":{"example-0":{"summary":"Error","value":{"status":400,"message":"bad value: range should be less than 6h0m0s"}},"example-1":{"summary":"Success","value":{"data":[{"timestamp":1651819759,"client_ip":"2405:201:c020:fb61:a078:d82d:52cc:c990","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream1/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/101.0.4951.54 Safari/537.36","status":200,"size":693,"cache_status":"STALE","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":14},{"timestamp":1651819759,"client_ip":"2405:201:c020:511d:addc:bddd:3149:62d4","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream2/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/101.0.4951.54 Safari/537.36","status":200,"size":691,"cache_status":"HIT","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":33},{"timestamp":1651819759,"client_ip":"2405:201:c014:2ca2:c509:dfbc:9dd8:e1e0","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream1/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/100.0.4896.127 Safari/537.36","status":200,"size":691,"cache_status":"HIT","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":14}],"meta":{"count":21760}}}}}}}}}},"/streams/reports/enterprise/traffic":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by stream traffic","description":"Get reports of stream traffic","operationId":"reports-akamai-by-stream-traffic","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostReportTraffic"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/reports/enterprise/duv":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by stream duv","description":"Get reports of stream daily unique visitors","operationId":"reports-akamai-by-stream-duv","parameters":[{"$ref":"#/components/parameters/rangeParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/reports/enterprise/topvisitors":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by stream topvisitors","description":"Get reports of stream topvisitors","operationId":"reports-akamai-by-stream-topvisitors","parameters":[{"$ref":"#/components/parameters/rangeParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/reports/enterprise/bybo":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by stream bybo","description":"Get reports of stream bybo","operationId":"reports-akamai-by-stream-bybo","parameters":[{"$ref":"#/components/parameters/rangeParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/reports/enterprise/bygeo":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by stream bygeo","description":"Get reports of stream bygeo","operationId":"reports-akamai-by-stream-bygeo","parameters":[{"$ref":"#/components/parameters/rangeParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/reports/enterprise/uv":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by stream uv","description":"Get reports of stream uv","operationId":"reports-akamai-by-stream-uv","parameters":[{"$ref":"#/components/parameters/typeParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/reports/enterprise/urlresponse":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by stream urlresponse","description":"Get reports of stream urlresponse","operationId":"reports-akamai-by-stream-urlresponse","parameters":[{"$ref":"#/components/parameters/modeParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/reports/enterprise/urltraffic":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by stream urltraffic","description":"Get reports of stream urltraffic","operationId":"reports-akamai-by-stream-urltraffic","parameters":[{"$ref":"#/components/parameters/modeParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/reports/mins/stats":{"post":{"tags":["Reports - Recording Minutes"],"summary":"Reports by stream reports live mins stats","description":"Get reports of stream live mins stats","operationId":"reports-by-stream-live-mins-stats","parameters":[{"$ref":"#/components/parameters/rParam"},{"$ref":"#/components/parameters/fileParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}}},"deprecated":false}},"/streams/settings/security/domainlock":{"post":{"tags":["Global Settings"],"summary":"update stream domain setting","description":"update stream domain setting","operationId":"settings-stream-domain","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_domainlock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/security/geoblock":{"post":{"tags":["Global Settings"],"summary":"update streams geoblock setting","description":"update streams geoblock setting","operationId":"settings-streams-geoblock","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_geoblock"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/security/securetoken":{"post":{"tags":["Global Settings"],"summary":"update stream securetoken setting","description":"update stream securetoken setting","operationId":"settings-stream-securetoken","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_securetoken"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/security/rtmpauth":{"post":{"tags":["Global Settings"],"summary":"update stream rtmpauth setting","description":"update stream rtmpauth setting","operationId":"settings-stream-rtmpauth","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_rtmpauth"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/record":{"post":{"tags":["Global Settings"],"summary":"update stream record setting","description":"update stream record setting","operationId":"settings-stream-record","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_record"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/record/ndvr":{"post":{"tags":["Global Settings"],"summary":"update stream ndvr setting","description":"update stream ndvr setting","operationId":"settings-stream-ndvr","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_ndvr"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/cname":{"post":{"tags":["Global Settings"],"summary":"update stream cname setting","description":"update stream cname setting","operationId":"settings-stream-cname","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_cname"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/hash":{"post":{"tags":["Global Settings"],"summary":"update stream hash setting","description":"update stream hash setting","operationId":"settings-stream-hash","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_hash"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/profiles":{"get":{"tags":["Live Transcoding Profiles/Filters"],"summary":"List Live Transcoding Profiles","description":"List Live Transcoding Profiles","deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"lists":{"$ref":"#/components/schemas/transcodingResult"}}}}}}}}},"/streams/settings/profiles/new":{"post":{"tags":["Live Transcoding Profiles/Filters"],"summary":"add stream profiles setting","description":"add stream profiles setting","operationId":"settings-stream-profiles-add","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_profile"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/profiles/{profileid}":{"post":{"tags":["Live Transcoding Profiles/Filters"],"summary":"update stream profiles setting","description":"update stream profiles setting","operationId":"settings-stream-profiles-update","parameters":[{"$ref":"#/components/parameters/profileIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/streamsetting_profile"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false},"delete":{"tags":["Live Transcoding Profiles/Filters"],"summary":"Delete Info","description":"Delete the profile of  stream. To cast request method POST and parameters _METHOD = DELETE","operationId":"deletestreamprofile","parameters":[{"$ref":"#/components/parameters/profileIdParam"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"deprecated":false}},"/streams/settings/filters":{"get":{"tags":["Live Transcoding Profiles/Filters"],"summary":"List File Transcoding Filters","description":"List File Transcoding Filters","operationId":"transcodingFileFilter","responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"filters":{"$ref":"#/components/schemas/filtersList"}}}}}}}}},"/streams/settings/filters/new":{"post":{"tags":["Live Transcoding Profiles/Filters"],"summary":"Create File Transcoding Filters","description":"Create File Transcoding Filters","operationId":"createFileTranscodingFilter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createFileTranscodingFilter"}}}},"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"integer"}}}}}}}}},"/streams/settings/filters/{filterid}":{"post":{"tags":["Live Transcoding Profiles/Filters"],"summary":"Edit Transcoding Profile Filter","description":"Edit Transcoding Profile Filter","operationId":"editTranscodingProfileFilter","parameters":[{"$ref":"#/components/parameters/filterIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/editFileTranscodingFilter"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}},"delete":{"tags":["Live Transcoding Profiles/Filters"],"summary":"Edit Transcoding Profile Filter","description":"Delete the information of Transcoding Profile filter. To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteTranscodingProfileFilter","parameters":[{"$ref":"#/components/parameters/filterIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}}},"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"CreatePushStream":{"required":["_METHOD","name","server"],"type":"object","properties":{"_METHOD":{"type":"string","description":"To cast request method POST to PUT","example":"PUT"},"name":{"type":"string","description":"Stream name.<br>Should be in the format part-1/part-2. Each part should have minimum 3 chars, separated by forward slash ‘/’, without any space"},"server":{"type":"string","description":"server.code, Should be one of the server code from the GET /streams/push/servers call"},"ssl":{"type":"string","description":"Values can be Y or N. <br>Set to Y if HTTPS should be enabled.<br> Set to N if HTTPS should be disabled.","example":"Y"},"codec":{"type":"string","description":"Values can be h264 or h265. <br>Set Source Stream Codec.","example":"h264"},"domainlock":{"$ref":"#/components/schemas/streamstimeshiftnew_domainlock"},"geoblock":{"$ref":"#/components/schemas/streamstimeshiftnew_geoblock"},"vprofiles":{"$ref":"#/components/schemas/Postvprofiles"},"aprofiles":{"$ref":"#/components/schemas/Postvprofiles"},"filters":{"$ref":"#/components/schemas/Posttranscode_filters"},"platform":{"$ref":"#/components/schemas/Postplatform"},"record":{"$ref":"#/components/schemas/streamspushnew_record"},"ndvr":{"$ref":"#/components/schemas/streamspushnew_ndvr"},"securetoken":{"$ref":"#/components/schemas/streamstimeshiftnew_securetoken"}}},"filtersList":{"properties":{"0":{"type":"object","properties":{"id":{"type":"integer"},"serviceid":{"type":"integer"},"type":{"type":"string"},"name":{"type":"string"},"settings":{"$ref":"#/components/schemas/settingFilterList"}}}}},"settingFilterList":{"properties":{"filter":{"type":"string"},"args":{"type":"object","properties":{"text":{"type":"string"},"fontsize":{"type":"integer"},"fontcolor":{"type":"string"},"position":{"type":"string"},"url":{"type":"string"},"scale":{"type":"integer"}}}}},"createFileTranscodingFilter":{"required":["name","_METHOD"],"properties":{"_METHOD":{"type":"string","description":"To cast request method POST to PUT","example":"PUT"},"name":{"type":"string","description":"Enter fliter name"},"filter":{"type":"string","description":"Filter settings values can be overlay or drawtext"},"args":{"type":"object","properties":{"overlay":{"type":"object","properties":{"url":{"type":"string","description":"Enter Logo Url eg:http://example.com/logo.png"},"scale":{"type":"integer","format":"int32","description":"values can be \tmin: 5, max: 150"},"position":{"type":"string","description":"position of logo should be topleft,tocenter,topright,centerleft,center,centerright,bottomleft,bottomright,bottomcenter"}}},"drawtext":{"type":"object","properties":{"text":{"type":"string","description":"Enter watermark text"},"fontsize":{"type":"integer","format":"int32","description":"values can be \tmin: 8, max: 64 .eg: 16 ","example":16},"fontcolor":{"type":"string","description":"Enter text font color for example #42A5F5"},"position":{"type":"string","description":"position of text should be topleft,tocenter,topright,centerleft,center,centerright,bottomleft,bottomright,bottomcenter"}}}}}}},"editFileTranscodingFilter":{"properties":{"args":{"type":"object","properties":{"url":{"type":"string","description":"Enter Logo Url eg:http://example.com/logo.png"},"scale":{"type":"integer","format":"int32","description":"values can be \tmin: 5, max: 150"},"position":{"type":"string","description":"position should be topleft,tocenter,topright,centerleft,center,centerright,bottomleft,bottomright,bottomcenter"},"text":{"type":"string","description":"Enter watermark text"},"fontsize":{"type":"integer","format":"int32","description":"values can be \tmin: 8, max: 64 .eg: 16 ","example":16},"fontcolor":{"type":"string","description":"Enter text font color for example #42A5F5"}}}}},"Postvprofiles":{"type":"array","items":{"type":"integer"},"description":"transcode profile values from the GET /streams/settings/profiles call"},"Postplatform":{"type":"array","items":{"$ref":"#/components/schemas/Postplatform_inner"}},"Editplatform":{"type":"object","properties":{"name":{"type":"string","description":"Platform name.<br>Name should have minimum 2 chars, and maximum 32 chars length."},"rtmp":{"type":"string","description":"Your RTMP URL. <br>Eg: rtmp://a.rtmp.youtube.com/live2"},"key":{"type":"string","description":"Your RTMP key. <br>Eg: 5t1d-hvka-50ga-7dj0-38h0"},"auth":{"type":"string","description":"Values Can be Y or N. <br> Set to Y if Publish Auth should be enabled<br> Set to Y if Publish Auth should be disabled.","example":"N"},"username":{"type":"string","description":"Enter Your username.Eg:username"},"password":{"type":"string","description":"Enter Your password.Eg:password"},"schedule":{"type":"string","description":"The values can be  'instant', ' scheduleontime' or 'scheduleondatetime'"},"scheduleontime":{"type":"string","description":"Scheduleontime should be in the format of hh:mm:ss. <br/>It can be use if the 'schedule'  is 'scheduleontime'.Scheduleondatetime's format should be yyyy-mm-dd hh:min:sec . <br>It can be used if  'schedule' is 'scheduleondatetime'."},"length":{"type":"string","description":"Length should be in the format hh:mm:ss. length can be set if type is 'live'."},"transcodetype":{"type":"string","description":"value should be sd,hd or uhd"},"vprofiles":{"$ref":"#/components/schemas/Editplatform_vprofiles"},"aprofiles":{"$ref":"#/components/schemas/Editplatform_vprofiles"},"filters":{"$ref":"#/components/schemas/Posttranscode_filters"}}},"Postdisabled":{"type":"object","properties":{"disabled":{"type":"integer","format":"int32","description":"Values can be 0 or 1.<br>Set to 1 if status should be enabled.<br> Set to 0 if status should not to be disabled.","example":0}}},"streamsetting_geoblock":{"type":"object","properties":{"enabled":{"type":"string","description":"Values can be Y or N.<br>Set to Y if Geo Block should be enabled.<br> Set to N if Geo Block should not to be enabled.","example":"Y"},"policy":{"type":"string","description":"Values can be Y or N.<br>Set to Y if geoblock countries list should be allowed.<br> Set to N if geoblock countries list should be blocked","example":"N"},"list":{"type":"array","items":{"type":"string","description":"Geoblock countries list values can be AF,DZ,AW,CA etc","example":"AF"}},"ips":{"type":"string","description":"List of IPs to whitelist when geoblock is enabled. IPs should be separated by comma. <br>Eg: 192.168.0.1, 192.168.0.2","example":"192.168.0.1"},"mode":{"type":"string","description":"The values can be save,append,overwrite","example":"save"}}},"streamsetting_rtmpauth":{"type":"object","properties":{"policy":{"type":"string","description":"Values can be Y or N.<br>Set to Y if policy should be enabled.<br> Set to N if policy should not to be enabled.","example":"Y"},"password":{"type":"string","description":"enter password"},"mode":{"type":
[...]
